Xalan-Java 2.7.1: Class StringComparable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class StringComparable

    java.lang.Object
      |
      +--org.apache.xml.utils.StringComparable

public class StringComparable
extends java.lang.Object
implements java.lang.Comparable

International friendly string comparison with case-order

Field Summary
`static int` | `LOWER_CASE`
`static int` | `UNKNOWN_CASE`
`static int` | `UPPER_CASE`

Constructor Summary
`StringComparable(java.lang.String text, java.util.Locale locale, java.text.Collator collator, java.lang.String caseOrder)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`static java.lang.Comparable` | `getComparator(java.lang.String text, java.util.Locale locale, java.text.Collator collator, java.lang.String caseOrder)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_CASE

    public static final int UNKNOWN_CASE

### UPPER_CASE

    public static final int UPPER_CASE

### LOWER_CASE

    public static final int LOWER_CASE

Constructor Detail

### StringComparable

    public StringComparable(java.lang.String text,
                            java.util.Locale locale,
                            java.text.Collator collator,
                            java.lang.String caseOrder)

Method Detail

### getComparator

    public static final java.lang.Comparable getComparator(java.lang.String text,
                                                           java.util.Locale locale,
                                                           java.text.Collator collator,
                                                           java.lang.String caseOrder)

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    compareTo in interface java.lang.Comparable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.